Skip to main content
`Ctrl`+`K`

# NEPCISSGetSizes

Gets the values of various size parameters in the CISS solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSGetSizes(NEP nep,PetscInt *ip,PetscInt *bs,PetscInt *ms,PetscInt *npart,PetscInt *bsmax,PetscBool *realmats)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- ip - number of integration points

- bs - block size

- ms - moment size

- npart - number of partitions when splitting the communicator

- bsmax - max block size

- realmats - \(T(z)\) is real for real \(z\)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCISS`, `NEPCISSSetSizes()`

## Level

advanced

## Location

src/nep/impls/ciss/nciss.c

## Implementations

NEPCISSGetSizes_CISS() in src/nep/impls/ciss/nciss.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages